DbMpoolFStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbMpoolFStat,DbMpoolFStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbMpoolFStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbMpoolFStat

public class DbMpoolFStat
extends Object

The DbMpoolFStat object is used to return memory pool per-file statistics.

Field Summary
`String` | `file_name` The name of the file.
`int` | `st_cache_hit` Requested pages found in the cache.
`int` | `st_cache_miss` Requested pages not found in the cache.
`int` | `st_map` Requested pages mapped into the process' address space.
`int` | `st_page_create` Pages created in the cache.
`int` | `st_page_in` Pages read into the cache.
`int` | `st_page_out` Pages written from the cache to the backing file.
`int` | `st_pagesize` Page size in bytes.

Constructor Summary
`DbMpoolFStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file_name

    public String file_name

  The name of the file.

### st_pagesize

    public int st_pagesize

  Page size in bytes.

### st_map

    public int st_map

  Requested pages mapped into the process' address space.

### st_cache_hit

    public int st_cache_hit

  Requested pages found in the cache.

### st_cache_miss

    public int st_cache_miss

  Requested pages not found in the cache.

### st_page_create

    public int st_page_create

  Pages created in the cache.

### st_page_in

    public int st_page_in

  Pages read into the cache.

### st_page_out

    public int st_page_out

  Pages written from the cache to the backing file.

Constructor Detail

### DbMpoolFStat

    public DbMpoolFStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.